## ros-one-image-cb-detector 0.10.15-4jammy.20260220.2349

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4jammy.20260220.2349) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 20 Feb 2026 23:49:11 +0000
