## ros-one-image-cb-detector 0.10.15-4noble.20251023.0305

=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4noble.20251023.0305) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Thu, 23 Oct 2025 03:05:20 +0000

ros-one-image-cb-detector (0.10.15-0noble) noble; urgency=high

  * Merge pull request #47 <https://github.com/ros-perception/calibration/issues/47> from PR2-prime/noetic-devel
    Noetic devel
  * fixes for compiler warnings CMP0048 and CMP0046
  * update maintainer for most packages; first try at setup for travis testing (#46 <https://github.com/ros-perception/calibration/issues/46>)
  * fixed unit tests for compile/testing in focal/noetic/opencv4
  * Contributors: Dave Feil-Seifer

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Tue, 11 May 2021 00:00:00 -0000

ros-one-image-cb-detector (0.10.14-0noble) noble; urgency=high

  * simplify OpenCV3 dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 16 Apr 2016 00:00:00 -0000

ros-one-image-cb-detector (0.10.13-0noble) noble; urgency=high



 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Dec 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.12-0noble) noble; urgency=high

  * make code compile with OpenCV3
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sun, 21 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.11-0noble) noble; urgency=high

  * check if input depth image is 32bit
    also fixes #29 <https://github.com/ros-perception/calibration/issues/29> with proper log message
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 20 Sep 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.9-0noble) noble; urgency=high

  * remove PCL dependency
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Wed, 09 Apr 2014 00:00:00 -0000

ros-one-image-cb-detector (0.10.8-0noble) noble; urgency=high

  * no need to depend on opencv2 as we depend on cv_bridge
    This is useful to only have one branch for both hydro and indigo
  * Contributors: Vincent Rabaud

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Fri, 07 Mar 2014 00:00:00 -0000
