=== debian/changelog ===
ros-one-image-cb-detector (0.10.15-4noble.20260221.0011) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David Feil-Seifer <david.feilseifer@gmail.com>  Sat, 21 Feb 2026 00:11:39 +0000
