=== debian/control ===
Source: ros-one-image-cb-detector
Section: misc
Priority: optional
Maintainer: David Feil-Seifer <david.feilseifer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-catkin, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-filters, ros-one-message-generation, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs
Homepage: http://ros.org/wiki/image_cb_detector
Standards-Version: 3.9.2

Package: ros-one-image-cb-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-calibration-msgs, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-filters, ros-one-message-runtime, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs
Description: Provide a node that extracts checkerboard corners from ROS images.
 This package is still experimental and unstable. Expect its APIs to change.
